IXMLReaderFactory (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.impl.IXMLReaderFactory interface

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime.impl
Interface IXMLReaderFactory

All Known Implementing Classes:
  StAXReaderFactory, XMLPullReaderFactory

    public interface IXMLReaderFactory

Interface for factories used to create XML reader instances. Instances of this interface must be assumed to be single threaded.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`IXMLReader` | `createReader(java.io.InputStream is, java.lang.String name, java.lang.String enc, boolean nsf)` Get new XML reader instance for document from input stream.
`IXMLReader` | `createReader(java.io.Reader rdr, java.lang.String name, boolean nsf)` Get new XML reader instance for document from reader.
`IXMLReader` | `recycleReader(IXMLReader old, java.io.InputStream is, java.lang.String name, java.lang.String enc)` Recycle XML reader instance for new document from input stream.
`IXMLReader` | `recycleReader(IXMLReader old, java.io.Reader rdr, java.lang.String name)` Recycle XML reader instance for document from reader.

Method Detail

### createReader

    IXMLReader createReader(java.io.InputStream is,
                            java.lang.String name,
                            java.lang.String enc,
                            boolean nsf)
                            throws JiBXException

  Get new XML reader instance for document from input stream.

  Parameters:
    `is` - document input stream
    `name` - document name (`null` if unknown)
    `enc` - document character encoding (`null` if unknown)
    `nsf` - namespaces enabled flag
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

### createReader

    IXMLReader createReader(java.io.Reader rdr,
                            java.lang.String name,
                            boolean nsf)
                            throws JiBXException

  Get new XML reader instance for document from reader.

  Parameters:
    `rdr` - document reader
    `name` - document name (`null` if unknown)
    `nsf` - namespaces enabled flag
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

### recycleReader

    IXMLReader recycleReader(IXMLReader old,
                             java.io.InputStream is,
                             java.lang.String name,
                             java.lang.String enc)
                             throws JiBXException

  Recycle XML reader instance for new document from input stream. If the supplied reader can be reused it will be configured for the new document and returned; otherwise, a new reader will be created for the document. The namespace enabled state of the returned reader is always the same as that of the supplied reader.

  Parameters:
    `old` - reader instance to be recycled
    `is` - document input stream
    `name` - document name (`null` if unknown)
    `enc` - document character encoding (`null` if unknown)
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

### recycleReader

    IXMLReader recycleReader(IXMLReader old,
                             java.io.Reader rdr,
                             java.lang.String name)
                             throws JiBXException

  Recycle XML reader instance for document from reader. If the supplied reader can be reused it will be configured for the new document and returned; otherwise, a new reader will be created for the document. The namespace enabled state of the returned reader is always the same as that of the supplied reader.

  Parameters:
    `old` - reader instance to be recycled
    `rdr` - document reader
    `name` - document name (`null` if unknown)
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |